﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NormalMatModel
{
    internal class MainTable
    {
        int[,] mainArray;
        bool[,] checkArray;
        public MainTable(int i, int j)
        {
            MainArray = new int[i, j];
            checkArray = new bool[i - 1, j - 1];
            InputDateInTale();
            PrintTable();
        }

        public int[,] MainArray { get => mainArray; set => mainArray = value; }

        private void InputDateInTale()
        {
            for (int i = 0; i < MainArray.GetLength(0); i++)
            {
                string[] rowValue = Console.ReadLine().Split(" ");
                for (int j = 0; j < MainArray.GetLength(1); j++)
                {
                    MainArray[i, j] = int.Parse(rowValue[j]);
                }
            }
        }
        public void PrintTable()
        {
            for (int i = 0; i < MainArray.GetLength(0); i++)
            {
                for (int j = 0; j < MainArray.GetLength(1); j++)
                {
                    Console.Write("{0,8:0}", MainArray[i, j]);
                }
                Console.WriteLine();
            }
        }
    }
}
